> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connection presence only



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/connections
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/connections:
    get:
      summary: Get connection presence only
      operationId: getWorkspaceConnections
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectionsPayload'
      security:
        - cookieAuth: []
        - bearerAuth:
            - connections:read
components:
  schemas:
    ConnectionsPayload:
      type: object
      properties:
        environment:
          type: object
          additionalProperties:
            type: boolean
        workspaceConfiguration:
          type: object
          additionalProperties:
            type: object
            properties:
              ga4:
                type: boolean
              gsc:
                type: boolean
              ga4Property:
                type: string
                nullable: true
              gscProperty:
                type: string
                nullable: true
            required:
              - ga4
              - gsc
            additionalProperties: false
        ahrefs:
          type: object
          additionalProperties:
            type: object
            properties:
              envFile:
                type: boolean
              apiKey:
                type: boolean
            required:
              - envFile
              - apiKey
            additionalProperties: false
        lastModified:
          type: object
          properties:
            gsc:
              type: string
              nullable: true
            reports:
              type: object
              additionalProperties:
                type: string
                nullable: true
          required:
            - gsc
            - reports
          additionalProperties: false
      required:
        - environment
        - workspaceConfiguration
        - ahrefs
        - lastModified
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````